summaryrefslogtreecommitdiff
path: root/tsp/watchers/watch_usb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tsp/watchers/watch_usb.sh')
-rwxr-xr-xtsp/watchers/watch_usb.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tsp/watchers/watch_usb.sh b/tsp/watchers/watch_usb.sh
new file mode 100755
index 0000000..99282a4
--- /dev/null
+++ b/tsp/watchers/watch_usb.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
+export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."
+
+. "${TSP_DIR}/common.sh"
+
+timeout 120 lsusb
+USB_RET="$?"
+post_prom "usb_status" "$USB_RET" "Return value of lsusb"
+
+timeout 120 /usr/local/bin/sd-mux-ctrl -l
+SDMUX_RET="$?"
+post_prom "sdmux_status" "$SDMUX_RET" "Return value of sd-mux-ctrl -l"